<%--
  Created by IntelliJ IDEA.
  User: njc
  Date: 2022/5/28
  Time: 10:30
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script>
    var url;

    /**
     * "修改"按钮的事件
     */
    function openLinkModifyDialog() {

        var selectedRows = $("#dg").datagrid("getSelections");
        if (selectedRows.length !== 1) {
            $.messager.alert("系统提示", "请选择一条要编辑的数据！")
            return;
        }
        var row = selectedRows[0];
        $("#l-dlg").dialog("open").dialog("setTitle", "修改友情链接信息");
        $("#l-fm").form("load", row);
        url = "${pageContext.request.contextPath}/admin/blogger/modify.do?id=" + row.id;
    }

    /**
     * 删除按钮事件
     */
    function deleteLink() {
        var selectedRows = $("#dg").datagrid("getSelections");
        if (selectedRows.length === 0) {
            $.messager.alert("系统提示", "请至少选择一条要编辑的数据！");
            return;
        }
        var strIds = [];
        for (var i = 0; i < selectedRows.length; i++) {
            strIds.push(selectedRows[i].id);
        }
        var ids = strIds.join(",");
        $.messager.confirm("系统提示", "您确定要删除这<font color=red>" + selectedRows.length + "</font>条数据吗？", function (r) {
            if (r) {
                $.post("${pageContext.request.contextPath}/admin/blogger/delete.do", {ids: ids}, function (result) {
                    if (result.success) {
                        $.messager.alert("系统提示", "数据已经成功删除！");
                        $("#dg").datagrid("reload");
                    } else if (result.exists) {
                        $.messager.alert("系统提示", result.exists);
                    } else {
                        $.messager.alert("系统提示", "数据删除失败！");
                    }
                }, "json");
            }
        });
    }

    /**
     * "保存"按钮事件
     */
    function saveLink() {
        $("#l-fm").form("submit", {
            url: url,
            onSubmit: function () {
                return $(this).form("validate");
            },
            success: function (result) {
                var result = eval('(' + result + ')');
                if (result.success) {
                    $.messager.alert("系统提示", "保存成功！");
                    resetValue();
                    $("#l-dlg").dialog("close");
                    $("#dg").datagrid("reload");
                } else {
                    $.messager.alert("系统提示", "保存失败！");
                }
            }
        });
    }

    /**
     * "关闭"按钮事件
     */
    function closeLinkDialog() {
        $("#l-dlg").dialog("close");
        resetValue();
    }

    /**
     * 重置弹出对话框
     */
    function resetValue() {
        $("#linkName").val("");
        $("#linkUrl").val("");
        $("#orderNo").val("");
    }

    function formatRole(val, row) {
        if (val === 1){
            return "管理员";
        }
        return "普通用户";
    }
</script>
<table id="dg" title="用户管理" class="easyui-datagrid" fitcolumns="true" pagination="true" rownumbers="true"
       url="${pageContext.request.contextPath}/admin/blogger/list.do" fit="true" toolbar="#l-tb">
    <thead>
    <tr>
        <th field="cb" checkbox="true" align="center"></th>
        <th field="userTag" width="30" align="center" formatter="formatRole">用户角色</th>
        <th field="userName" width="100" align="center">用户名</th>
        <th field="nickName" width="100" align="center">用户昵称</th>
        <th field="sign" width="100" align="center">用户职业</th>
    </tr>
    </thead>
</table>

<div id="l-tb">
    <a href="javascript:openLinkModifyDialog()" class="easyui-linkbutton" iconcls="icon-edit" plain="true">修改</a>
    <a href="javascript:deleteLink()" class="easyui-linkbutton" iconcls="icon-remove" plain="true">删除</a>
</div>

<div id="l-dlg" class="easyui-dialog" style="width: 350px;height: 250px;padding: 10px 20px;" closed="true"
     buttons="l-dlg-buttons">
    <form id="l-fm" method="post">
        <table cellpadding="8px" style="font-size: 14px">
            <tr>
                <td>用户名：</td>
                <td><input type="text" id="userName" name="userName" class="easyui-validatebox" required="true"/>
                </td>
            </tr>
            <tr>
                <td>昵称：</td>
                <td><input type="text" id="nickName" name="nickName" class="easyui-validatebox" required="true"/>
                </td>
            </tr>
            <tr>
                <td>用户职业：</td>
                <td><input type="text" id="sign" name="sign" class="easyui-validatebox" required="true"/>
                </td>
            </tr>
        </table>
    </form>
    <div id="l-dlg-buttons">
        <a href="javascript:saveLink();" class="easyui-linkbutton" iconcls="icon-ok" style="margin-left: 14%">保存</a>
        <a href="javascript:closeLinkDialog();" class="easyui-linkbutton" iconcls="icon-cancel"
           style="margin-left: 14%">取消</a>
    </div>
</div>


